PTS_SETMAX(1)

NAME
pts_setmax - Sets the value of the max group id or max user id counter

SYNOPSIS
pts setmax [-group <group max>] [-user <user max>]
    [-cell <cell name>] [-noauth] [-localauth] [-force] [-help]

pts setm [-g group max>] [-u <user max>]
    [-c <cell name>] [-n] [-l] [-f] [-h]

DESCRIPTION
The pts setmax command sets the value of one or both counters that track the IDs the Protection Server allocates to new users, machines, or groups: the "max user id" counter for the AFS user IDs (AFS UIDs) assigned to users and machines, and the "max group id" counter for the AFS group IDs (AFS GIDs) assigned to groups.

Use the pts listmax command to display the current value of both counters.

OPTIONS

-group <group max>
    Sets the "max group id" counter. Precede the value with a hyphen to indicate that it is negative. When an administrator next uses the pts creategroup command to create a group entry and does not include that command's -id argument, the Protection Server assigns the group an AFS GID one less (more negative) than this value.

-user <user max>
    Sets the "max user id" counter. When an administrator next uses the pts createuser command to create a user or machine entry and does not include that command's -id argument, the Protection Server assigns the group an AFS UID one greater than this value.

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

EXAMPLES
The following command sets the "max group id" counter to -500 and the "max user id" counter to 1000.

   % pts setmax -group -500 -user 1000

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group.

SEE ALSO
pts(1), pts_creategroup(1), pts_createuser(1), pts_listmax(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.